//
//  NewsItem.h
//  NBC
//
//  Created by Apple on 04/02/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ContactItem : NSObject {

	NSInteger category;
	NSString *firstname;
	NSString *lastname;
	NSString *homephone;
	NSString *officephone;
	NSString *homeaddressstreet;
	NSString *homeaddresscity;	
}

@property (nonatomic) NSInteger category;
@property (nonatomic, retain) NSString *firstname;
@property (nonatomic, retain) NSString *lastname;
@property (nonatomic, retain) NSString *homephone;
@property (nonatomic, retain) NSString *officephone;
@property (nonatomic, retain) NSString *homeaddressstreet;
@property (nonatomic, retain) NSString *homeaddresscity;

@end

@interface ContactItemParser : NSObject
{
	ContactItem *item;
	NSMutableArray *items;
	
	NSString *currentNodeName;
	NSMutableString *currentNodeContent;
}

@property (nonatomic, retain) ContactItem *item;
@property (nonatomic, retain) NSMutableArray *items;

- (id)parseXMLWithData:(NSData *)data parseError:(NSError **)error;

@end
